/** layuiAdmin.std-v1.0.0 LPPL License By http://www.layui.com/admin/ */
;
layui.define(function(e) {
    var i = (layui.$, layui.layer, layui.laytpl, layui.setter, layui.view, layui.admin);
    i.events.logout = function() {
        i.req({
            url: ctx + "/platform/logout",
            type: "post",
            data: {},
            done: function(e) {
                i.exit(function() {
                    location.href = ctx + "/login"
                })
            }
        })
    };
    window.localStorage.setItem("status","0");
    i.events.openVideo = function() {
        let status = window.localStorage.getItem("status") == null ? 0 : window.localStorage.getItem("status");
        if(status == 0){
            layer.msg("开启成功！",{icon:1});
            layui.$("#video-icon").removeClass("layui-icon-mute").addClass("layui-icon-speaker");
            window.localStorage.setItem("status","1");
            layui.$("#au")[0].play();
        }else{
            layer.msg("关闭成功！",{icon:1});
            layui.$("#video-icon").removeClass("layui-icon-speaker").addClass("layui-icon-mute");
            window.localStorage.setItem("status","0");
            layui.$("#au")[0].pause();
        }
    };
    e("common", {})
});